import { Component, ViewChild } from '@angular/core';
@Component({
  selector: 'weapons-container',
  templateUrl: './weapons-container.component.html',
  styleUrls: ['./weapons-container.component.scss'],
})
export class WeaponsContainerComponent {
  @ViewChild('weaponTable') weaponTable: any;
  @ViewChild('spellTable') spellTable: any;

  public active: number = 1;

  public openModal(): void {
    if (this.active === 1) {
      this.weaponTable.openModal(false);
    } else if (this.active === 2) {
      this.spellTable.openModal(false);
    }
  }
}
